# Package com.amazon.redshift.xa

Class Summary
Class | Description
--- | ---
RedshiftXAConnection | The Redshift implementation of `XAResource`.
RedshiftXADataSource | XA-enabled DataSource implementation.
RedshiftXADataSourceFactory | An ObjectFactory implementation for RedshiftXADataSource-objects.

Exception Summary
Exception | Description
--- | ---
RedshiftXAException | A convenience subclass of `XAException` which makes it easy to create an instance of `XAException` with a human-readable message, a `Throwable` cause, and an XA error code.